# Class BasicSplitPaneDivider.MouseHandler

java.lang.Object
java.awt.event.MouseAdapter
javax.swing.plaf.basic.BasicSplitPaneDivider.MouseHandler

All Implemented Interfaces:
  `MouseListener, MouseMotionListener, MouseWheelListener, EventListener`

Enclosing class:
  `BasicSplitPaneDivider`

protected class BasicSplitPaneDivider.MouseHandler extends MouseAdapter implements MouseMotionListener
MouseHandler is responsible for converting mouse events (released, dragged...) into the appropriate DragController methods.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`MouseHandler()`
Constructs a `MouseHandler`.

## Method Summary

Modifier and Type
Method
Description
`void`
`mouseDragged(MouseEvent e)`
If dragger is not null it is messaged with continueDrag.
`void`
`mouseEntered(MouseEvent e)`
Invoked when the mouse enters a component.
`void`
`mouseExited(MouseEvent e)`
Invoked when the mouse exits a component.
`void`
`mouseMoved(MouseEvent e)`
Resets the cursor based on the orientation.
`void`
`mousePressed(MouseEvent e)`
Starts the dragging session by creating the appropriate instance of DragController.
`void`
`mouseReleased(MouseEvent e)`
If dragger is not null it is messaged with completeDrag.

### Methods declared in class MouseAdapter

`mouseClicked, mouseWheelMoved`
Modifier and Type
Method
Description
`void`
`mouseClicked(MouseEvent e)`
Invoked when the mouse button has been clicked (pressed and released) on a component.
`void`
`mouseWheelMoved(MouseWheelEvent e)`
Invoked when the mouse wheel is rotated.

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`int`
`hashCode()`
Returns a hash code value for this object.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`String`
`toString()`
Returns a string representation of the object.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Constructor Details

### MouseHandler

protected MouseHandler()
Constructs a `MouseHandler`.

## Method Details

### mousePressed

public void mousePressed(MouseEvent e)
Starts the dragging session by creating the appropriate instance of DragController.

Specified by:
  `mousePressed` in interface `MouseListener`
Parameters:
  `e` - the event to be processed

### mouseReleased

public void mouseReleased(MouseEvent e)
If dragger is not null it is messaged with completeDrag.

Specified by:
  `mouseReleased` in interface `MouseListener`
Parameters:
  `e` - the event to be processed

### mouseDragged

public void mouseDragged(MouseEvent e)
If dragger is not null it is messaged with continueDrag.

Specified by:
  `mouseDragged` in interface `MouseMotionListener`
Overrides:
  `mouseDragged` in class `MouseAdapter`
Parameters:
  `e` - the event to be processed

### mouseMoved

public void mouseMoved(MouseEvent e)
Resets the cursor based on the orientation.

Specified by:
  `mouseMoved` in interface `MouseMotionListener`
Overrides:
  `mouseMoved` in class `MouseAdapter`
Parameters:
  `e` - the event to be processed

### mouseEntered

public void mouseEntered(MouseEvent e)
Invoked when the mouse enters a component.

Specified by:
  `mouseEntered` in interface `MouseListener`
Parameters:
  `e` - MouseEvent describing the details of the enter event.
Since:
  1.5

### mouseExited

public void mouseExited(MouseEvent e)
Invoked when the mouse exits a component.

Specified by:
  `mouseExited` in interface `MouseListener`
Parameters:
  `e` - MouseEvent describing the details of the exit event.
Since:
  1.5